//
// TAuxiliary.h
//
// @author: ralf.meyer@rwth-aachen.de
// 
// A class containing helper functions.
// I.e. set plot options, create ratios, ...
// Make some stuff with datatypes from RooFit...
//
// Includes all needed variables to handle from function to function.
// 
// 

#ifndef AUXILIARYCLASS
#define AUXILIARYCLASS

#include "Rtypes.h"

#include <string>
#include <map>

#include "TTemplateFit.h"
// class TTemplateFit;

class TAuxiliary{
    
public:
    TAuxiliary();
    inline virtual ~TAuxiliary() {}
    
    // ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    // methods
    
    void test(Int_t val);
    
    
    // ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    // member data objects
    std::map<std::string, TTemplateFit*> tf;
    
    
public:
    ClassDef(TAuxiliary, 1)
};
#endif
